# Julien Guillot
## Développeur JAVA/JEE Sénior & Architecte

> [julien.guillot@meutel.net](mailto:julien.guillot@meutel.net)
> (+33) 6 35 77 37 04
> 34 ans

------

### Compétences

1. **Languages**
Java, SQL, Javascript, Shell
1. **JEE**
Servlet, EJB, CDI, Hibernate, Webservices, JAX-RS
1. **Serveurs**
JBoss/Wildfly, Nginx, Apache
1. **Web/IHM**
Java Swing, HTML/CSS, JSP, AJAX
1. **Bases de données**
Oracle, PostgreSQL, MySQL, LDAP
1. **Outils de developpement**
Eclipse, git/SVN/CVS, Maven
1. **Outils tests et qualité**
Junit, Arquillian, Sonar, Jenkins
1. **OS**
Linux, FreeBSD, Windows
1. **Langues**
Français, Anglais
1. **Divers**
XML, REST, Varnish, Ansible

------

### Experiences

GIP CPage **Architecte** *Dijon - Depuis 2014*

ALTECA **Développeur/Architecte** *Dijon - 2011-2013*

SQLI Santé **Architecte/Chef de Projets** *Dijon - 2008-2011*

ABCIAL/SQLI **Ingénieur Concepteur Développeur** *Dijon - 2004-2008*

------

### Formation

**Diplôme d'ingénieur 2004**
ESIAL Nancy (Ecole Supérieure d'Informatique et application de Lorraine)

**Classes Préparatoires MPSI,MP 1999-2001**
Lycée Gay-Lussac Limoges

**Baccalauréat S 1999**
Lycée Beaupeyrat Limoges

------

### Projets

  **C.Page i - Migration JEE 7 / REST** 2015-2016
	Chef de projet
	Migration de l'application C.Page i de JBoss 4.2 vers Widlfly 8.2 (puis 10), JEE 7. Remplacement de la communication client (swing) - serveur en EJB par des web-services (REST/JSON)
	*JEE 7, JAX-RS, Wildfly, Cluster, Nginx, Varnish, Ansible*

  **C.Page i – Tests de non régression** 2011-2013
	Architecte
	Mise en place de tests unitaires et de tests de non régression basés sur Arquillian
	*Arquillian, Junit, Maven, JBoss, JEE 5*

  **Cpage-i** 2011-2015
	Solution logicielle pour les systèmes d'informations de santé
	Architecte
	Maintenance, conception et réalisation d'IHM, composants serveurs, frameworks
	*JEE 5, JBoss 4.2, EJB, Oracle, Swing*

  **CPage-i – Traitements asynchrones** 2011
	Architecte
	Conception et réalisation de la gestion des traitements asynchrones
	*JEE 5, JBoss 4.2, Quartz, JMS*

  **IdeoQuestionnaire** 2009-2011
	Application web pour la conception et la publication de questionnaires, intégrée dans les produits
	IdeoSanté
	Chef de projet (3 à 6 personnes)
	*J2EE, Javascript, mySQL, JBoss*

  **IdeoMed** 2009-2011
	Application de gestion du dossier médical d'établissement (prescription, médicaments, soins)
	Développeur/Architecte
	*J2EE, JPA, EJB3, Oracle, JBoss, Apache*

  **IdeoForms** 2007-2011
	Framework web/J2EE utilisé par les produits IdeoSante
	Responsable produit
	*J2EE, hibernate, HTML/CSS, Javascript*

  **DCP (Dossier Commun Périnatal en Languedoc-Roussillon)** 2005-2011
	Application pour le suivi de grossesse et la néonatologie (20000 dossiers)
	Formation d'une équipe Offshore (Maroc)
	Responsable des développements (3 personnes)
	Suivi client et maintenance
	*J2EE, JBoss, PostgreSQL, LDAP, webservices, EJB, JBoss*

  **Dossiers de réseau (périnat, r@pid, géronto, DCC, réucare, SSR)** 2004-2011
	Applications de suivi de dossiers médicaux spécialisés (périnatalité, cancérologie, diabète...)
	Développeur / Chef de projet (4 personnes)
	*J2EE, JBoss, PostgreSQL, mySQL, EJB, JBoss*

  **DMP (Dossier Médical Personnalisé)** 2007
	Application permettant la consultation du dossier médical par les patients et les professionnels de
	santé
	Développeur
	*Java, HTML, Javascript, SQL, JBoss*

  **Générateur de formulaire** 2004-2008
	Application web et générateur de code permettant la réalisation d'application web
	Développeur
	*Java, Servlet, JSP, SQL, XSL, Tomcat*
